#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private OrderflowsPulse[] cacheOrderflowsPulse;

		
		public OrderflowsPulse OrderflowsPulse()
		{
			return OrderflowsPulse(Input);
		}


		
		public OrderflowsPulse OrderflowsPulse(ISeries<double> input)
		{
			if (cacheOrderflowsPulse != null)
				for (int idx = 0; idx < cacheOrderflowsPulse.Length; idx++)
					if ( cacheOrderflowsPulse[idx].EqualsInput(input))
						return cacheOrderflowsPulse[idx];
			return CacheIndicator<OrderflowsPulse>(new OrderflowsPulse(), input, ref cacheOrderflowsPulse);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.OrderflowsPulse OrderflowsPulse()
		{
			return indicator.OrderflowsPulse(Input);
		}


		
		public Indicators.OrderflowsPulse OrderflowsPulse(ISeries<double> input )
		{
			return indicator.OrderflowsPulse(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.OrderflowsPulse OrderflowsPulse()
		{
			return indicator.OrderflowsPulse(Input);
		}


		
		public Indicators.OrderflowsPulse OrderflowsPulse(ISeries<double> input )
		{
			return indicator.OrderflowsPulse(input);
		}

	}
}

#endregion
